# Uses of Class
org.springframework.aot.hint.JavaSerializationHint

Packages that use JavaSerializationHint
Package
Description
org.springframework.aot.hint
Support for registering the need for reflection, resources, java serialization and proxies at runtime.

## Uses of JavaSerializationHint in org.springframework.aot.hint

Methods in org.springframework.aot.hint that return types with arguments of type JavaSerializationHint
Modifier and Type
Method
Description
`Stream<JavaSerializationHint>`
SerializationHints.`javaSerializationHints()`
Return the `java serialization hints` for types that need to be serialized using Java serialization at runtime.